## DOMString ixmlDocumenttoString

## (IXML_Document* doc)

> Renders a Node and all sub-elements into an XML document representation.

## Documentation

> Renders a Node and all sub-elements into an XML document representation. The caller is required to free the DOMString returned from this function using ixmlFreeDOMString when it is no longer required.

> Note that this function can be used for any Node-derived interface. The difference between ixmlDocumenttoString and ixmlNodetoString is ixmlDocumenttoString includes the XML prolog while ixmlNodetoString only produces XML elements. An XML document is not well formed unless it includes the prolog and at least one element.

Returns:
  [DOMString] A DOMString with the XML text representation of the DOM tree or `NULL` on an error.

Alphabetic index

This page was generated with the help of DOC++.